Index: examples/aubionotes.c
===================================================================
--- examples/aubionotes.c	(revision 5d10ac1882948152e9628c6fea144137274d607c)
+++ examples/aubionotes.c	(revision c34336ecfd4d5bd0740d7cddf0a76eeb7910f3ba)
@@ -52,5 +52,5 @@
 
   aubio_pitch_do (pitch, ibuf, pitch_obuf);
-  smpl_t new_pitch = fvec_read_sample(pitch_obuf, 0);
+  smpl_t new_pitch = fvec_get_sample(pitch_obuf, 0);
   if(median){
     note_append(note_buffer, new_pitch);
@@ -59,5 +59,5 @@
   /* curlevel is negatif or 1 if silence */
   smpl_t curlevel = aubio_level_detection(ibuf, silence_threshold);
-  if (fvec_read_sample(onset, 0)) {
+  if (fvec_get_sample(onset, 0)) {
     /* test for silence */
     if (curlevel == 1.) {
Index: examples/aubioonset.c
===================================================================
--- examples/aubioonset.c	(revision 5d10ac1882948152e9628c6fea144137274d607c)
+++ examples/aubioonset.c	(revision c34336ecfd4d5bd0740d7cddf0a76eeb7910f3ba)
@@ -34,5 +34,5 @@
   fvec_zeros(obuf);
   aubio_onset_do (o, ibuf, onset);
-  is_onset = fvec_read_sample(onset, 0);
+  is_onset = fvec_get_sample(onset, 0);
   if ( is_onset ) {
     aubio_wavetable_play ( wavetable );
Index: examples/aubiopitch.c
===================================================================
--- examples/aubiopitch.c	(revision 5d10ac1882948152e9628c6fea144137274d607c)
+++ examples/aubiopitch.c	(revision c34336ecfd4d5bd0740d7cddf0a76eeb7910f3ba)
@@ -33,5 +33,5 @@
   fvec_zeros(obuf);
   aubio_pitch_do (o, ibuf, pitch);
-  smpl_t freq = fvec_read_sample(pitch, 0);
+  smpl_t freq = fvec_get_sample(pitch, 0);
   aubio_wavetable_set_amp ( wavetable, aubio_level_lin (ibuf) );
   aubio_wavetable_set_freq ( wavetable, freq );
@@ -45,5 +45,5 @@
 void
 process_print (void) {
-  smpl_t pitch_found = fvec_read_sample(pitch, 0);
+  smpl_t pitch_found = fvec_get_sample(pitch, 0);
   outmsg("%f %f\n",(blocks)
       *hop_size/(float)samplerate, pitch_found);
@@ -70,4 +70,5 @@
   if (pitch_unit != NULL)
     aubio_pitch_set_unit (o, pitch_unit);
+
   pitch = new_fvec (1);
 
Index: examples/aubiotrack.c
===================================================================
--- examples/aubiotrack.c	(revision 5d10ac1882948152e9628c6fea144137274d607c)
+++ examples/aubiotrack.c	(revision c34336ecfd4d5bd0740d7cddf0a76eeb7910f3ba)
@@ -29,11 +29,9 @@
 fvec_t * tempo_out;
 smpl_t is_beat = 0;
-smpl_t is_onset = 0;
 uint_t is_silence = 0.;
 
 void process_block(fvec_t * ibuf, fvec_t *obuf) {
   aubio_tempo_do (tempo, ibuf, tempo_out);
-  is_beat = fvec_read_sample (tempo_out, 0);
-  is_onset = fvec_read_sample (tempo_out, 1);
+  is_beat = fvec_get_sample (tempo_out, 0);
   if (silence_threshold != -90.)
     is_silence = aubio_silence_detection(ibuf, silence_threshold);
@@ -54,6 +52,4 @@
     outmsg("%f\n", aubio_tempo_get_last_s(tempo) );
   }
-  //if ( is_onset )
-  //  outmsg(" \t \t%f\n",(blocks)*hop_size/(float)samplerate);
 }
 
Index: examples/jackio.c
===================================================================
--- examples/jackio.c	(revision 5d10ac1882948152e9628c6fea144137274d607c)
+++ examples/jackio.c	(revision c34336ecfd4d5bd0740d7cddf0a76eeb7910f3ba)
@@ -253,7 +253,7 @@
   for (j=0;j<(unsigned)nframes;j++) {
     /* put synthnew in output */
-    output[0][j] = fvec_read_sample(dev->obuf, dev->pos);
+    output[0][j] = fvec_get_sample(dev->obuf, dev->pos);
     /* write input to datanew */
-    fvec_write_sample(dev->ibuf, input[0][j], dev->pos);
+    fvec_set_sample(dev->ibuf, input[0][j], dev->pos);
     /*time for fft*/
     if (dev->pos == (int)(dev->hop_size) - 1) {
Index: src/fvec.c
===================================================================
--- src/fvec.c	(revision 5d10ac1882948152e9628c6fea144137274d607c)
+++ src/fvec.c	(revision c34336ecfd4d5bd0740d7cddf0a76eeb7910f3ba)
@@ -37,9 +37,9 @@
 }
 
-void fvec_write_sample(fvec_t *s, smpl_t data, uint_t position) {
+void fvec_set_sample(fvec_t *s, smpl_t data, uint_t position) {
   s->data[position] = data;
 }
 
-smpl_t fvec_read_sample(fvec_t *s, uint_t position) {
+smpl_t fvec_get_sample(fvec_t *s, uint_t position) {
   return s->data[position];
 }
@@ -59,5 +59,5 @@
 }
 
-void fvec_set(fvec_t *s, smpl_t val) {
+void fvec_set_all (fvec_t *s, smpl_t val) {
   uint_t j;
   for (j=0; j< s->length; j++) {
@@ -70,10 +70,10 @@
   memset(s->data, 0, s->length * sizeof(smpl_t));
 #else
-  fvec_set(s, 0.);
+  fvec_set_all (s, 0.);
 #endif
 }
 
 void fvec_ones(fvec_t *s) {
-  fvec_set(s, 1.);
+  fvec_set_all (s, 1.);
 }
 
Index: src/fvec.h
===================================================================
--- src/fvec.h	(revision 5d10ac1882948152e9628c6fea144137274d607c)
+++ src/fvec.h	(revision c34336ecfd4d5bd0740d7cddf0a76eeb7910f3ba)
@@ -76,4 +76,5 @@
 */
 fvec_t * new_fvec(uint_t length);
+
 /** fvec_t buffer deletion function
 
@@ -82,4 +83,5 @@
 */
 void del_fvec(fvec_t *s);
+
 /** read sample value in a buffer
 
@@ -92,5 +94,6 @@
 
 */
-smpl_t fvec_read_sample(fvec_t *s, uint_t position);
+smpl_t fvec_get_sample(fvec_t *s, uint_t position);
+
 /** write sample value in a buffer
 
@@ -104,5 +107,5 @@
 
 */
-void  fvec_write_sample(fvec_t *s, smpl_t data, uint_t position);
+void  fvec_set_sample(fvec_t *s, smpl_t data, uint_t position);
 
 /** read data from a buffer
@@ -130,5 +133,5 @@
 
 */
-void fvec_set(fvec_t *s, smpl_t val);
+void fvec_set_all (fvec_t *s, smpl_t val);
 
 /** set all elements to zero 
Index: tests/src/spectral/test-phasevoc-jack.c
===================================================================
--- tests/src/spectral/test-phasevoc-jack.c	(revision 5d10ac1882948152e9628c6fea144137274d607c)
+++ tests/src/spectral/test-phasevoc-jack.c	(revision c34336ecfd4d5bd0740d7cddf0a76eeb7910f3ba)
@@ -75,7 +75,7 @@
     for (i=0;i<channels;i++) {
       /* write input to datanew */
-      fvec_write_sample(in[i], input[i][j], pos);
+      fvec_set_sample(in[i], input[i][j], pos);
       /* put synthnew in output */
-      output[i][j] = fvec_read_sample(out[i], pos);
+      output[i][j] = fvec_get_sample(out[i], pos);
     }
     /*time for fft*/
Index: tests/src/spectral/test-phasevoc.c
===================================================================
--- tests/src/spectral/test-phasevoc.c	(revision 5d10ac1882948152e9628c6fea144137274d607c)
+++ tests/src/spectral/test-phasevoc.c	(revision c34336ecfd4d5bd0740d7cddf0a76eeb7910f3ba)
@@ -15,5 +15,5 @@
 
   // fill input with some data
-  fvec_set (in, 1.);
+  fvec_set_all (in, 1.);
   fvec_print (in);
 
